Last Comment Bug 834819 - Video (ImageLayers?) not rotated correctly with hwc
: Video (ImageLayers?) not rotated correctly with hwc
Status: RESOLVED FIXED
[hwc-blocker]
:
Product: Core
Classification: Components
Component: Graphics: Layers (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla21
Assigned To: Diego Wilson [:diego]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 12:03 PST by Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
Modified: 2013-05-21 06:38 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
tef+
wontfix
wontfix
verified
fixed
fixed
fixed


Attachments
Screenshot (92.11 KB, image/png)
2013-01-25 12:03 PST, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
no flags Details
Make HwcComposer2D honors world transform (1.46 KB, patch)
2013-01-25 18:03 PST, Diego Wilson [:diego]
cjones.bugs: review+
Details | Diff | Review
Make HwcComposer2D honors world transform v2 (1.44 KB, patch)
2013-01-26 14:40 PST, Diego Wilson [:diego]
cjones.bugs: review+
Details | Diff | Review

Description Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2013-01-25 12:03:31 PST
Created attachment 706521 [details]
Screenshot

STR
 (1) Launch video app in portrait orientation
 (2) Load any video, let it play for a moment
 (3) Switch to landscape orientation

The image isn't rotated, it's instead scale-transformed out to the rotated bounds.
Comment 1 Diego Wilson [:diego] 2013-01-25 13:52:05 PST
Forgot to look at the world transform rotation :S The patch is simple. I'll share it ASAP
Comment 2 Diego Wilson [:diego] 2013-01-25 18:03:18 PST
Created attachment 706697 [details] [diff] [review]
Make HwcComposer2D honors world transform
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2013-01-25 21:58:46 PST
Comment on attachment 706697 [details] [diff] [review]
Make HwcComposer2D honors world transform

>diff --git a/widget/gonk/HwcComposer2D.cpp b/widget/gonk/HwcComposer2D.cpp

>+        //we find a fuzzy zero the same way as
>+        //PreservesAxisAlignedRectangles()

Nit: style would be

          // Compute fuzzy equal like PreservesAxisAlignedRectangles()

r=me with that.
Comment 4 Diego Wilson [:diego] 2013-01-26 14:40:29 PST
Created attachment 706812 [details] [diff] [review]
Make HwcComposer2D honors world transform v2

Addressed nit from previous patch
Comment 5 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2013-01-28 12:05:51 PST
Comment on attachment 706812 [details] [diff] [review]
Make HwcComposer2D honors world transform v2

(Code review point of order: if I say, "r=me with the above comments addressed", then I don't need to see the next patch that addresses the comments; you can take r+.  Especially for things like indentation or style changes.  But, always feel free to re-request review if you'd like.)
Comment 6 Diego Wilson [:diego] 2013-01-29 15:31:06 PST
cjones,

I see. You've been kind enough to help me land all of these patches. What's does one usually do to get the it landed after it's been r+'ed?
Comment 7 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2013-01-29 16:45:01 PST
Best is to set checkin-needed and wait for someone to snarf it.  Or if you need to escalate to someone with push access, like m1 ;).
Comment 8 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2013-01-29 16:47:31 PST
Also, we should get you push access :).  Please file a bug on L1 [1]

[1] http://www.mozilla.org/hacking/committer/
Comment 9 Ryan VanderMeulen [:RyanVM] 2013-01-29 17:22:15 PST
https://hg.mozilla.org/mozilla-central/rev/a31b07df79df
Comment 10 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2013-01-29 18:37:44 PST
This blocks enabling hwc, which is needed for shippable power-usage numbers.  This will either make into v1.0.0 through official gecko upstream or as a downstream patch to it.  Let's make everyone's lives easier and land upstream.
Comment 11 Lukas Blakk [:lsblakk] use ?needinfo 2013-01-30 14:07:09 PST
Please update status-b2g18 and status-b2g18-v1.0.0 to fixed once this has been uplifted to mozilla-b2g18 and mozilla-b2g18_v1_0_0 branches.
Comment 13 Mihai Morar, (:MihaiMorar) 2013-05-21 06:38:37 PDT
I confirm the fix is verified on Ubuntu 13.04 x86 on FF 21RC4.

Note You need to log in before you can comment on or make changes to this bug.